Ignore:
Timestamp:
Aug 20, 2011, 7:15:06 PM (9 years ago)
Author:
ryandesign@…
Message:

swi-prolog: maintainer update to 5.10.5, use gcc-4.2 instead of llvm-gcc-4.2 or clang; see #30892

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/lang/swi-prolog/Portfile

    r82382 r82802  
    77conflicts       swi-prolog-devel swi-prolog-lite
    88epoch           20051223
    9 version         5.10.4
     9version         5.10.5
    1010
    1111categories      lang
     
    2929
    3030checksums   \
    31         sha1    481828a00b6fa0ea3e60a081b75ed7cf55591b97 \
    32         rmd160  5891908606a3676a2c6c6008f8cb2f6724cd211f
     31        sha1    bc27e997e20120aed9be68af2fdccfb093ff16eb \
     32        rmd160  1ed3594b46efead1fd66b232ff8bdd765d749200
    3333
    3434depends_build   \
     
    6969        --x-libraries=${prefix}/lib     \
    7070        --with-world
     71
     72if {${configure.compiler} == "clang" ||
     73        ${configure.compiler} == "llvm-gcc-4.2"} {
     74        configure.compiler gcc-4.2
     75        if {![file executable ${configure.cc}]} {
     76                depends_build-append port:apple-gcc42
     77                configure.compiler apple-gcc-4.2
     78        }
     79}
    7180
    7281build.env       \
Note: See TracChangeset for help on using the changeset viewer.